User Profile

GET /api/v1/me/context

Get Current User Context

getCurrentUserContext returns the current user’s RBAC context

Example

curl -X GET \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/me/context

GET /api/v1/me/profile

Get Current User Profile

getCurrentUserProfile returns the current user’s profile

Response

Type: map[string]interface{}

Example

curl -X GET \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/me/profile

PUT /api/v1/me/profile

Update Current User Profile

updateCurrentUserProfile updates the current user’s profile

Request Body

Type: UpdateProfileRequest

Response

Type: map[string]interface{}

Example

curl -X PUT \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}' \
  https://api.seeme.ai/api/v1/me/profile